Ravens PHP Scripts

jGallery *G_JGALL[inc_path]* File Inclusion Vulnerability
Date: Saturday, April 21, 2007 @ 03:53:02 PDT
Topic: Security


SECUNIA ADVISORY ID: SA24956

VERIFY ADVISORY: http://secunia.com/advisories/24956/

CRITICAL: Highly critical

IMPACT: System access

WHERE: >From remote

SOFTWARE: jGallery 1.x - http://secunia.com/product/13992/

DESCRIPTION: Dj7xpl has discovered a vulnerability in jGallery, which can be exploited by malicious people to compromise a vulnerable system.


Input passed to the "G_JGALL[inc_path]" parameter in index.php is not properly verified before being used to include files. This can be exploited to include arbitrary files from local or external resources. Successful exploitation requires that "register_globals" is enabled. The vulnerability is confirmed in version 1.3.2 and reported in version 1.3. Other versions may also be affected.

SOLUTION: Edit the source code to ensure that input is properly verified.

PROVIDED AND/OR DISCOVERED BY: Dj7xpl

ORIGINAL ADVISORY: http://0day.2600.ir/exploits/3760






This article comes from Ravens PHP Scripts
http://www.ravenphpscripts.com

The URL for this story is:
http://www.ravenphpscripts.com/modules.php?name=News&file=article&sid=2868